Events
/- Searches for sessions using predefined parameters
Creates a new session record that does not already exist.
Returns a list of records with the specified abstract_id
Generate Session from Abstract
Execute Batch Operations
Returns a list of records with the specified event_id
Get Privileges for a session
Describes all of the sessions for an event
Searches for sessions using predefined parameters
Returns a session from the system by its ID.
Returns a session from the system by its ID.
Returns a session from the system by its ID.
Partially updates a session with the specified ID.
Updates a session with the specified ID.
Searches for sessions usi...
Searches for sessions using predefined parameters
Security
knox-authorizer
The session that you would like to be saved.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/search
- https://events.api.rhythmsoftware.comhttps://events.api.rhythmsoftware.com/sessions/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"abstract_id": [
"string"
],
"access": [
"string"
],
"end_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"event_id": "string",
"has_fees": [
true
],
"ids": [
"string"
],
"name": "string",
"speakers": [
"string"
],
"start_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"track_ids": [
"string"
],
"type_id": [
"string"
]
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }